sss_core = {}
sss_core.savedata = {}

sss_core.player_config = {}

local modpath = minetest.get_modpath('sss_core')
dofile(modpath..'/cheats.lua')
dofile(modpath..'/computers/bridge_computer.lua')
dofile(modpath..'/computers/cyrogenic_pod_formspecs.lua')
dofile(modpath..'/computers/power_substation.lua')
dofile(modpath..'/computers/terminal_formspecs.lua')
dofile(modpath..'/config_tool.lua')
dofile(modpath..'/functions.lua')
dofile(modpath..'/lbms.lua')
dofile(modpath..'/load_world.lua')

minetest.register_privilege('enable_cheats', {
   description = 'Can use cheats',
   give_to_singleplayer = false,
   give_to_admin = true})

sss_core.load()
minetest.register_on_shutdown(sss_core.save)
